---
title: "Deprecated: Retrieve legacy embed code HTML"
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Stream](https://developers.cloudflare.com/api/typescript/resources/stream)

[Embed](https://developers.cloudflare.com/api/typescript/resources/stream/subresources/embed)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Deprecated: Retrieve legacy embed code HTML

client.stream.embed.get(stringidentifier, EmbedGetParams {account\_id } params, RequestOptionsoptions?): [EmbedGetResponse](<https://developers.cloudflare.com/api/typescript/resources/stream#(resource)%20stream.embed%20%3E%20(model)%20embed_get_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/stream/{identifier}/embed

Fetches the legacy HTML code snippet to embed a video in a web page delivered through Cloudflare. On success, returns an HTML fragment for use on web pages to display a video. On failure, returns a JSON response body.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Stream Write``Stream Read`

##### ParametersExpand Collapse

identifier: string

A Cloudflare-generated unique identifier for a media item.

maxLength32

[Link to this property](<#(resource)%20stream.embed%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20identifier%20%3E%20(schema)>)

<details>

<summary>

params: EmbedGetParams {account\_id }

</summary>

account\_id: string

The account identifier tag.

maxLength32

<a href="#(resource)%20stream.embed%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20stream.embed%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

EmbedGetResponse = string

[Link to this property](<#(resource)%20stream.embed%20%3E%20(model)%20embed_get_response%20%3E%20(schema)>)

### Deprecated: Retrieve legacy embed code HTML

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const embed = await client.stream.embed.get('ea95132c15732412d22c1476fa83f27a', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(embed);
```

##### Returns Examples